aboutsummaryrefslogtreecommitdiffstats
path: root/test/range-003.sh
diff options
context:
space:
mode:
authorLukas Fleischer <calcurse@cryptocrack.de>2012-01-22 00:51:29 +0100
committerLukas Fleischer <calcurse@cryptocrack.de>2012-01-22 01:03:31 +0100
commitdbb19b7c25739518b36859dfd023ac9049770e45 (patch)
tree976d4d0061faae09e124c2913e43cc34362583af /test/range-003.sh
parent32530f0e50ba5cd4e3259f8f1868e28ae375ef20 (diff)
downloadcalcurse-dbb19b7c25739518b36859dfd023ac9049770e45.tar.gz
calcurse-dbb19b7c25739518b36859dfd023ac9049770e45.zip
test/: Add test cases for "-d" and "-s"/"-r"
* day-001.sh: Compare output of "-d<date>" with hardcoded data. * day-002.sh: Compare output of "-d<num>" with hardcoded data. * day-003.sh: Compare output of "-d<num>" with "-s<date> -r<num>". * range-001.sh: Compare output of "-r" with hardcoded data. * range-002.sh: Compare output of "-r<num>" with hardcoded data. * range-003.sh: Compare output of "-r<num>" with "-s<date> -r<num>". Signed-off-by: Lukas Fleischer <calcurse@cryptocrack.de>
Diffstat (limited to 'test/range-003.sh')
-rwxr-xr-xtest/range-003.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/range-003.sh b/test/range-003.sh
new file mode 100755
index 0000000..e3768c0
--- /dev/null
+++ b/test/range-003.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+if [ ! -x "$(command -v faketime)" ]; then
+ echo "libfaketime not found - skipping $0..."
+ exit 1
+fi
+
+if [ "$1" = 'actual' ]; then
+ faketime '2000-01-01 00:00:00' calcurse -D data/ -r400
+elif [ "$1" = 'expected' ]; then
+ calcurse -D data/ -s01/01/2000 -r400
+else
+ ./run-test "$0"
+fi